{
  "nodes": [
    {
      "nodeId": "pluginInput",
      "name": "workflow:template.plugin_start",
      "intro": "workflow:intro_plugin_input",
      "avatar": "core/workflow/template/workflowStart",
      "flowNodeType": "pluginInput",
      "showStatus": false,
      "position": {
        "x": 616.4226348688949,
        "y": -165.05298493910115
      },
      "version": "481",
      "inputs": [
        {
          "renderTypeList": [
            "customVariable"
          ],
          "selectedTypeIndex": 0,
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        },
        {
          "renderTypeList": [
            "customVariable"
          ],
          "selectedTypeIndex": 0,
          "valueType": "string",
          "canEdit": true,
          "key": "status_code",
          "label": "status_code",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        },
        {
          "renderTypeList": [
            "customVariable"
          ],
          "selectedTypeIndex": 0,
          "valueType": "string",
          "canEdit": true,
          "key": "user_question",
          "label": "user_question",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        }
      ],
      "outputs": [
        {
          "id": "state",
          "valueType": "object",
          "key": "state",
          "label": "state",
          "type": "hidden"
        },
        {
          "id": "status_code",
          "valueType": "string",
          "key": "status_code",
          "label": "status_code",
          "type": "hidden"
        },
        {
          "id": "user_question",
          "valueType": "string",
          "key": "user_question",
          "label": "user_question",
          "type": "hidden"
        }
      ]
    },
    {
      "nodeId": "pluginOutput",
      "name": "common:core.module.template.self_output",
      "intro": "workflow:intro_custom_plugin_output",
      "avatar": "core/workflow/template/pluginOutput",
      "flowNodeType": "pluginOutput",
      "showStatus": false,
      "position": {
        "x": 9115.438160764748,
        "y": 1787.5360223407083
      },
      "version": "481",
      "inputs": [
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "isToolOutput": true,
          "description": "",
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "string",
          "canEdit": true,
          "key": "status_code",
          "label": "status_code",
          "isToolOutput": true,
          "description": "",
          "required": true,
          "value": [
            "pluginInput",
            "status_code"
          ]
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "pluginConfig",
      "name": "common:core.module.template.system_config",
      "intro": "",
      "avatar": "core/workflow/template/systemConfig",
      "flowNodeType": "pluginConfig",
      "position": {
        "x": 129.71865108872498,
        "y": -165.05298493910115
      },
      "version": "4811",
      "inputs": [],
      "outputs": []
    },
    {
      "nodeId": "zxQfmimk125O",
      "name": "Condition",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 1267.1851065591718,
        "y": -413.40181371528934
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2000"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2001"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2002"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2003"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2004"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "status_code"
                  ],
                  "condition": "equalTo",
                  "value": "2005"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "hdv5GoosMBHa",
      "name": "Assigned Reply",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3949.191590738169,
        "y": -1929.0542992364997
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请对准车辆前方看清车牌，拍摄车前方照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "tvAhmyGZGJFK",
      "name": "Assigned Reply#2",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3080.7638516461034,
        "y": -1496.533033695888
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请对准车辆碰撞部位拍摄照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "uQOYrbV0gEUc",
      "name": "Condition#2",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 2177.2078129294746,
        "y": -1701.9735572957231
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "user_question"
                  ],
                  "condition": "equalTo",
                  "value": "【拍摄完成】"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "x5fLdT0iZHwS",
      "name": "workflow:question_classification",
      "intro": "workflow:intro_question_classification",
      "avatar": "core/workflow/template/questionClassify",
      "flowNodeType": "classifyQuestion",
      "showStatus": true,
      "position": {
        "x": 3080.7638516461034,
        "y": -2380.936588322326
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "classify",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "systemPrompt",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "max": 3000,
          "valueType": "string",
          "label": "core.module.input.label.Background",
          "description": "core.module.input.description.Background",
          "placeholder": "core.module.input.placeholder.Classify background",
          "value": "你是一个电话客服助手，根据对话记录判断客户意图。",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "userChatInput",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "valueType": "string",
          "label": "workflow:user_question",
          "toolDescription": "User input questions (questions need to be improved)",
          "required": true,
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "agents",
          "renderTypeList": [
            "custom"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "value": "用户表示希望转接人工处理",
              "key": "wqre"
            },
            {
              "value": "用户没有表示希望转接人工处理",
              "key": "sdfa"
            }
          ],
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "cqResult",
          "key": "cqResult",
          "required": true,
          "label": "workflow:classification_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "wV4XkmDRw3wv",
      "name": "Assigned Reply#3",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3949.191590738169,
        "y": -2295.8010296208304
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "vLZps4mdth6X",
      "name": "Variable Update",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4769.622608677713,
        "y": -2322.3010296208304
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "eLKTeiHZSJX5",
      "name": "Variable Update#2",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4086.8404389816033,
        "y": -1592.1724152147096
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "2001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "lbm1znwOWznd",
      "name": "Condition#3",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 2188.4042237593226,
        "y": -632.2190075962699
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "user_question"
                  ],
                  "condition": "equalTo",
                  "value": "【拍摄完成】"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "os9xJR84X6rS",
      "name": "Assigned Reply#4",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3090.3409007861924,
        "y": -321.0349358234895
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请对准被撞物品拍摄照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "mHIsV4YQ2N4d",
      "name": "Variable Update#3",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4115.133459347004,
        "y": -374.0349358234895
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "2002"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "dxzYyvYArES3",
      "name": "workflow:question_classification",
      "intro": "workflow:intro_question_classification",
      "avatar": "core/workflow/template/questionClassify",
      "flowNodeType": "classifyQuestion",
      "showStatus": true,
      "position": {
        "x": 3080.7638516461034,
        "y": -1188.9736949174871
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "classify",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "systemPrompt",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "max": 3000,
          "valueType": "string",
          "label": "core.module.input.label.Background",
          "description": "core.module.input.description.Background",
          "placeholder": "core.module.input.placeholder.Classify background",
          "value": "你是一个电话客服助手，根据对话记录判断客户意图。",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "userChatInput",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "valueType": "string",
          "label": "workflow:user_question",
          "toolDescription": "User input questions (questions need to be improved)",
          "required": true,
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "agents",
          "renderTypeList": [
            "custom"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "value": "用户表示希望转接人工处理",
              "key": "wqre"
            },
            {
              "value": "用户没有表示希望转接人工处理",
              "key": "sdfa"
            }
          ],
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "cqResult",
          "key": "cqResult",
          "required": true,
          "label": "workflow:classification_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "priypoGuIQkz",
      "name": "Assigned Reply#5",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 4025.6334593470037,
        "y": -1177.6348349124573
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "j7XarWgQ6mOZ",
      "name": "Assigned Reply#6",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 4056.626082300995,
        "y": -771.2402612358323
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请对准车辆碰撞部位拍摄照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "ysQYvXdh8RAu",
      "name": "Variable Update#4",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4859.511741814405,
        "y": -1213.533033695888
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "kzUQVND3RsVp",
      "name": "Condition#4",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 2196.749344223759,
        "y": 417.17374834770607
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "user_question"
                  ],
                  "condition": "equalTo",
                  "value": "【拍摄完成】"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "qHmueoo9BMEJ",
      "name": "workflow:question_classification",
      "intro": "workflow:intro_question_classification",
      "avatar": "core/workflow/template/questionClassify",
      "flowNodeType": "classifyQuestion",
      "showStatus": true,
      "position": {
        "x": 3090.3409007861924,
        "y": -0.6161502188676309
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "classify",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "systemPrompt",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "max": 3000,
          "valueType": "string",
          "label": "core.module.input.label.Background",
          "description": "core.module.input.description.Background",
          "placeholder": "core.module.input.placeholder.Classify background",
          "value": "你是一个电话客服助手，根据对话记录判断客户意图。",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "userChatInput",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "valueType": "string",
          "label": "workflow:user_question",
          "toolDescription": "User input questions (questions need to be improved)",
          "required": true,
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "agents",
          "renderTypeList": [
            "custom"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "value": "用户表示希望转接人工处理",
              "key": "wqre"
            },
            {
              "value": "用户没有表示希望转接人工处理",
              "key": "sdfa"
            }
          ],
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "cqResult",
          "key": "cqResult",
          "required": true,
          "label": "workflow:classification_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "coCCLqSMU3FE",
      "name": "Assigned Reply#7",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3080.7638516461034,
        "y": 982.0408110540607
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请切换摄像头对准本人拍摄一张正面照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "ls6BNUSlIPYd",
      "name": "Variable Update#5",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 3989.6652438297915,
        "y": 955.5408110540607
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "2003"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "ignvQlRRpZrF",
      "name": "Assigned Reply#8",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 4043.2609328061408,
        "y": 14.96506417651051
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "tLFNll01UmDa",
      "name": "Variable Update#6",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4933.027570181225,
        "y": -38.03493582348949
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "vbf763lG0E5O",
      "name": "Assigned Reply#9",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 4043.2609328061408,
        "y": 487.0047580129981
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请对准被撞物品拍摄照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "pYsC5xki4QxU",
      "name": "Condition#5",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 2188.4042237593226,
        "y": 1627.6459543256753
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "user_question"
                  ],
                  "condition": "equalTo",
                  "value": "【拍摄完成】"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "aWRVpPDfbZSo",
      "name": "Assigned Reply#10",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3864.975450279539,
        "y": 2403.858351767778
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请确认您驾驶的车辆是否为{{$wubZesJkoAPT.qLUQfhG0ILRX$}} {{$wubZesJkoAPT.gR0mkQpJ4Og8$}}？",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "gUW65TgWLRD2",
      "name": "workflow:question_classification",
      "intro": "workflow:intro_question_classification",
      "avatar": "core/workflow/template/questionClassify",
      "flowNodeType": "classifyQuestion",
      "showStatus": true,
      "position": {
        "x": 3080.7638516461034,
        "y": 1346.8766264571177
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "classify",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "systemPrompt",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "max": 3000,
          "valueType": "string",
          "label": "core.module.input.label.Background",
          "description": "core.module.input.description.Background",
          "placeholder": "core.module.input.placeholder.Classify background",
          "value": "你是一个电话客服助手，根据对话记录判断客户意图。",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "userChatInput",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "valueType": "string",
          "label": "workflow:user_question",
          "toolDescription": "User input questions (questions need to be improved)",
          "required": true,
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "agents",
          "renderTypeList": [
            "custom"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "value": "用户表示希望转接人工处理",
              "key": "wqre"
            },
            {
              "value": "用户没有表示希望转接人工处理",
              "key": "sdfa"
            }
          ],
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "cqResult",
          "key": "cqResult",
          "required": true,
          "label": "workflow:classification_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "gcFqKEmmBxsq",
      "name": "Assigned Reply#11",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3974.385560232946,
        "y": 1414.4633627105443
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "tav57O4HFffB",
      "name": "Variable Update#7",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4841.105737101757,
        "y": 1387.9633627105443
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "l5KvlvRX2mhT",
      "name": "Assigned Reply#12",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 3954.366056749379,
        "y": 1893.6280648760387
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请切换摄像头对准本人拍摄一张正面照片。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "sWFhlCtJQzcb",
      "name": "Variable Update#8",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 4790.615959264525,
        "y": 2377.358351767778
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "2004"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "wubZesJkoAPT",
      "name": "Code Sandbox",
      "intro": "Execute a simple script code, usually for complex data processing.",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 3174.7421644452947,
        "y": 2246.330042025579
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({data1}){\n \n return {\n hpzl1: data1['hpzl1'],\n hphm1: data1['hphm1'],\n }\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "data1",
          "label": "data1",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "Pass the object returned in the code as output to the next nodes. The variable name needs to correspond to the return key.",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "hpzl1",
          "valueType": "string",
          "label": "hpzl1",
          "valueDesc": "",
          "description": ""
        },
        {
          "id": "gR0mkQpJ4Og8",
          "type": "dynamic",
          "key": "hphm1",
          "valueType": "string",
          "label": "hphm1",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "gUh0oVVuslSB",
      "name": "workflow:text_content_extraction",
      "intro": "workflow:intro_text_content_extraction",
      "avatar": "core/workflow/template/extractJson",
      "flowNodeType": "contentExtract",
      "showStatus": true,
      "position": {
        "x": 3056.2421644452947,
        "y": 3358.4274533864027
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "extractFields",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "description",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "string",
          "label": "workflow:extraction_requirements_description",
          "description": "workflow:extraction_requirements_description_detail",
          "placeholder": "workflow:extraction_requirements_placeholder",
          "value": "你是一个电话客服助手，根据对话记录判断：用户是否确认驾驶的车辆为{{$drW8jjcnmMtj.qLUQfhG0ILRX$}} {{$drW8jjcnmMtj.gR0mkQpJ4Og8$}}？",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "content",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "label": "workflow:text_to_extract",
          "required": true,
          "valueType": "string",
          "toolDescription": "Content to Retrieve",
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "extractKeys",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "valueType": "any",
          "description": "workflow:target_fields_description",
          "debugLabel": "",
          "toolDescription": "",
          "value": [
            {
              "valueType": "string",
              "required": true,
              "defaultValue": "",
              "desc": "用户是否确认车辆正确",
              "key": "carIsCorrect",
              "enum": "是\n否\n不确定"
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "",
              "desc": "用户希望转接人工处理",
              "key": "transfer_to_human",
              "enum": ""
            }
          ]
        }
      ],
      "outputs": [
        {
          "id": "success",
          "key": "success",
          "label": "workflow:full_field_extraction",
          "required": true,
          "description": "Returns true when all fields are fully extracted (success includes model extraction or using default values)",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "fields",
          "key": "fields",
          "label": "workflow:complete_extraction_result",
          "required": true,
          "description": "A JSON string, e.g., {\"name\":\"YY\",\"Time\":\"2023/7/2 18:00\"}",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "cqBAXxYHREqCd3ka",
          "key": "carIsCorrect",
          "label": "Extraction Results-carIsCorrect",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "jhyGI3uad4QgKmD3",
          "key": "transfer_to_human",
          "label": "Extraction Results-transfer_to_human",
          "valueType": "boolean",
          "type": "static"
        }
      ]
    },
    {
      "nodeId": "drW8jjcnmMtj",
      "name": "Code Sandbox#2",
      "intro": "Execute a simple script code, usually for complex data processing.",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 2338.640999201667,
        "y": 3432.9274533864027
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({data1}){\n \n return {\n hpzl1: data1['hpzl1'],\n hphm1: data1['hphm1'],\n }\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "data1",
          "label": "data1",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "Pass the object returned in the code as output to the next nodes. The variable name needs to correspond to the return key.",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "hpzl1",
          "valueType": "string",
          "label": "hpzl1",
          "valueDesc": "",
          "description": ""
        },
        {
          "id": "gR0mkQpJ4Og8",
          "type": "dynamic",
          "key": "hphm1",
          "valueType": "string",
          "label": "hphm1",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "it5Z7TucaPnb",
      "name": "Condition#6",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 3954.366056749379,
        "y": 3418.146882772296
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "gUh0oVVuslSB",
                    "jhyGI3uad4QgKmD3"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "gUh0oVVuslSB",
                    "cqBAXxYHREqCd3ka"
                  ],
                  "condition": "equalTo",
                  "value": "是"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "gUh0oVVuslSB",
                    "cqBAXxYHREqCd3ka"
                  ],
                  "condition": "equalTo",
                  "value": "否"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "gUh0oVVuslSB",
                    "cqBAXxYHREqCd3ka"
                  ],
                  "condition": "equalTo",
                  "value": "不确定"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "shrDoG2MH0h5",
      "name": "Assigned Reply#13",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5152.657468117011,
        "y": 3108.646882772296
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "hKHdh5iDkLxA",
      "name": "Variable Update#9",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 6112.138524688303,
        "y": 3082.146882772296
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "iBXnYng2HdjO",
      "name": "Assigned Reply#14",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5141.134212501918,
        "y": 3561.225398678613
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "请确认车损位置是在车辆前方、后方还是侧面?",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "hZ1chmKTCxph",
      "name": "Variable Update#10",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 6126.8149010965435,
        "y": 3545.031043765638
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "2005"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "mvdaWgBHPGU6",
      "name": "Assigned Reply#15",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5141.134212501918,
        "y": 3942.1423897388054
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "由于未能确认车牌，正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "jmE3QjFV30dI",
      "name": "Assigned Reply#16",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5141.134212501918,
        "y": 4357.8090114094375
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "未能理解您的意思。请确认您驾驶的车辆是否为{{$drW8jjcnmMtj.qLUQfhG0ILRX$}} {{$drW8jjcnmMtj.gR0mkQpJ4Og8$}}",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "tmZXiMjmSxJC",
      "name": "workflow:text_content_extraction",
      "intro": "workflow:intro_text_content_extraction",
      "avatar": "core/workflow/template/extractJson",
      "flowNodeType": "contentExtract",
      "showStatus": true,
      "position": {
        "x": 2314.979626635852,
        "y": 4766.600748208963
      },
      "version": "4.9.2",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "common:core.module.input.label.aiModel",
          "required": true,
          "valueType": "string",
          "llmModelType": "extractFields",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "description",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "string",
          "label": "workflow:extraction_requirements_description",
          "description": "workflow:extraction_requirements_description_detail",
          "placeholder": "workflow:extraction_requirements_placeholder",
          "value": "你是一个电话客服助手，根据对话记录判断：用户确认车损位置是在车辆前方、后方还是侧面?",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "common:core.module.input.label.chat history",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 6,
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "content",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "label": "workflow:text_to_extract",
          "required": true,
          "valueType": "string",
          "toolDescription": "Content to Retrieve",
          "value": [
            "pluginInput",
            "user_question"
          ],
          "debugLabel": ""
        },
        {
          "key": "extractKeys",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "valueType": "any",
          "description": "workflow:target_fields_description",
          "debugLabel": "",
          "toolDescription": "",
          "value": [
            {
              "valueType": "string",
              "required": true,
              "defaultValue": "",
              "desc": "车损位置",
              "key": "carAccidentPos",
              "enum": "前方\n后方\n侧面\n不确定"
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "",
              "desc": "用户希望转接人工处理",
              "key": "transfer_to_human",
              "enum": ""
            }
          ]
        }
      ],
      "outputs": [
        {
          "id": "success",
          "key": "success",
          "label": "workflow:full_field_extraction",
          "required": true,
          "description": "Returns true when all fields are fully extracted (success includes model extraction or using default values)",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "fields",
          "key": "fields",
          "label": "workflow:complete_extraction_result",
          "required": true,
          "description": "A JSON string, e.g., {\"name\":\"YY\",\"Time\":\"2023/7/2 18:00\"}",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "lUgUWEAe9y3ckCaf",
          "key": "carAccidentPos",
          "label": "Extraction Results-carAccidentPos",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "m5zV6AP9sv25okZD",
          "key": "transfer_to_human",
          "label": "Extraction Results-transfer_to_human",
          "valueType": "boolean",
          "type": "static"
        }
      ]
    },
    {
      "nodeId": "cff54fX8Iipd",
      "name": "Condition#7",
      "intro": "Execute different branches based on conditions.",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 3500.8947117712364,
        "y": 4969.960545336155
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "tmZXiMjmSxJC",
                    "m5zV6AP9sv25okZD"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "tmZXiMjmSxJC",
                    "lUgUWEAe9y3ckCaf"
                  ],
                  "condition": "equalTo",
                  "value": "不确定"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "u9IEDBUpiinl",
      "name": "Assigned Reply#17",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5052.469418416178,
        "y": 4732.1600663689715
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理，请稍候。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "no00SBaVMwmr",
      "name": "Variable Update#11",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 6099.938205376848,
        "y": 4705.6600663689715
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "wU2XuUcHUfk2",
      "name": "Assigned Reply#18",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5052.469418416178,
        "y": 5100.460545336155
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "未能理解您的意思。请确认车损位置是在车辆前方、后方还是侧面?",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "de8ODYhEAR1V",
      "name": "Assigned Reply#19",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5860.6211058130175,
        "y": 5574.836628177508
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "下面进行身份确认。请确认您是车辆{{$boWtch8zzazA.gR0mkQpJ4Og8$}}的车主吗？",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "zSN3Uj8vDHAU",
      "name": "Variable Update#12",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 6939.518987256945,
        "y": 5548.336628177508
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "1002"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "boWtch8zzazA",
      "name": "Code Sandbox#3",
      "intro": "Execute a simple script code, usually for complex data processing.",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 5116.406246553818,
        "y": 5504.543153250239
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({data1}){\n \n return {\n hpzl1: data1['hpzl1'],\n hphm1: data1['hphm1'],\n }\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "data1",
          "label": "data1",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "Pass the object returned in the code as output to the next nodes. The variable name needs to correspond to the return key.",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "hpzl1",
          "valueType": "string",
          "label": "hpzl1",
          "valueDesc": "",
          "description": ""
        },
        {
          "id": "gR0mkQpJ4Og8",
          "type": "dynamic",
          "key": "hphm1",
          "valueType": "string",
          "label": "hphm1",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "yv8fIT65iUT4",
      "name": "Code Sandbox#4",
      "intro": "Execute a simple script code, usually for complex data processing.",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 7635.790143881404,
        "y": 5256.836628177508
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({data1,}){\n data1.driver_info_complete=true;\n return {\n result: data1, \n }\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": "",
          "valueType": "string"
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "data1",
          "label": "data1",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "Pass the object returned in the code as output to the next nodes. The variable name needs to correspond to the return key.",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "result",
          "valueType": "object",
          "label": "result",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "jEx3Sbr7rJpd",
      "name": "Variable Update#13",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 8209.105449633926,
        "y": 5511.9167188062465
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "yv8fIT65iUT4",
                "qLUQfhG0ILRX"
              ],
              "valueType": "object",
              "renderType": "reference"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    }
  ],
  "edges": [
    {
      "source": "zxQfmimk125O",
      "target": "uQOYrbV0gEUc",
      "sourceHandle": "zxQfmimk125O-source-IF",
      "targetHandle": "uQOYrbV0gEUc-target-left"
    },
    {
      "source": "uQOYrbV0gEUc",
      "target": "tvAhmyGZGJFK",
      "sourceHandle": "uQOYrbV0gEUc-source-IF",
      "targetHandle": "tvAhmyGZGJFK-target-left"
    },
    {
      "source": "uQOYrbV0gEUc",
      "target": "x5fLdT0iZHwS",
      "sourceHandle": "uQOYrbV0gEUc-source-ELSE",
      "targetHandle": "x5fLdT0iZHwS-target-left"
    },
    {
      "source": "x5fLdT0iZHwS",
      "target": "wV4XkmDRw3wv",
      "sourceHandle": "x5fLdT0iZHwS-source-wqre",
      "targetHandle": "wV4XkmDRw3wv-target-left"
    },
    {
      "source": "x5fLdT0iZHwS",
      "target": "hdv5GoosMBHa",
      "sourceHandle": "x5fLdT0iZHwS-source-sdfa",
      "targetHandle": "hdv5GoosMBHa-target-left"
    },
    {
      "source": "wV4XkmDRw3wv",
      "target": "vLZps4mdth6X",
      "sourceHandle": "wV4XkmDRw3wv-source-right",
      "targetHandle": "vLZps4mdth6X-target-left"
    },
    {
      "source": "tvAhmyGZGJFK",
      "target": "eLKTeiHZSJX5",
      "sourceHandle": "tvAhmyGZGJFK-source-right",
      "targetHandle": "eLKTeiHZSJX5-target-left"
    },
    {
      "source": "zxQfmimk125O",
      "target": "lbm1znwOWznd",
      "sourceHandle": "zxQfmimk125O-source-ELSE IF 1",
      "targetHandle": "lbm1znwOWznd-target-left"
    },
    {
      "source": "lbm1znwOWznd",
      "target": "os9xJR84X6rS",
      "sourceHandle": "lbm1znwOWznd-source-IF",
      "targetHandle": "os9xJR84X6rS-target-left"
    },
    {
      "source": "os9xJR84X6rS",
      "target": "mHIsV4YQ2N4d",
      "sourceHandle": "os9xJR84X6rS-source-right",
      "targetHandle": "mHIsV4YQ2N4d-target-left"
    },
    {
      "source": "lbm1znwOWznd",
      "target": "dxzYyvYArES3",
      "sourceHandle": "lbm1znwOWznd-source-ELSE",
      "targetHandle": "dxzYyvYArES3-target-left"
    },
    {
      "source": "dxzYyvYArES3",
      "target": "priypoGuIQkz",
      "sourceHandle": "dxzYyvYArES3-source-wqre",
      "targetHandle": "priypoGuIQkz-target-left"
    },
    {
      "source": "dxzYyvYArES3",
      "target": "j7XarWgQ6mOZ",
      "sourceHandle": "dxzYyvYArES3-source-sdfa",
      "targetHandle": "j7XarWgQ6mOZ-target-left"
    },
    {
      "source": "priypoGuIQkz",
      "target": "ysQYvXdh8RAu",
      "sourceHandle": "priypoGuIQkz-source-right",
      "targetHandle": "ysQYvXdh8RAu-target-left"
    },
    {
      "source": "zxQfmimk125O",
      "target": "kzUQVND3RsVp",
      "sourceHandle": "zxQfmimk125O-source-ELSE IF 2",
      "targetHandle": "kzUQVND3RsVp-target-left"
    },
    {
      "source": "kzUQVND3RsVp",
      "target": "coCCLqSMU3FE",
      "sourceHandle": "kzUQVND3RsVp-source-IF",
      "targetHandle": "coCCLqSMU3FE-target-left"
    },
    {
      "source": "kzUQVND3RsVp",
      "target": "qHmueoo9BMEJ",
      "sourceHandle": "kzUQVND3RsVp-source-ELSE",
      "targetHandle": "qHmueoo9BMEJ-target-left"
    },
    {
      "source": "qHmueoo9BMEJ",
      "target": "ignvQlRRpZrF",
      "sourceHandle": "qHmueoo9BMEJ-source-wqre",
      "targetHandle": "ignvQlRRpZrF-target-left"
    },
    {
      "source": "ignvQlRRpZrF",
      "target": "tLFNll01UmDa",
      "sourceHandle": "ignvQlRRpZrF-source-right",
      "targetHandle": "tLFNll01UmDa-target-left"
    },
    {
      "source": "qHmueoo9BMEJ",
      "target": "vbf763lG0E5O",
      "sourceHandle": "qHmueoo9BMEJ-source-sdfa",
      "targetHandle": "vbf763lG0E5O-target-left"
    },
    {
      "source": "coCCLqSMU3FE",
      "target": "ls6BNUSlIPYd",
      "sourceHandle": "coCCLqSMU3FE-source-right",
      "targetHandle": "ls6BNUSlIPYd-target-left"
    },
    {
      "source": "zxQfmimk125O",
      "target": "pYsC5xki4QxU",
      "sourceHandle": "zxQfmimk125O-source-ELSE IF 3",
      "targetHandle": "pYsC5xki4QxU-target-left"
    },
    {
      "source": "pYsC5xki4QxU",
      "target": "gUW65TgWLRD2",
      "sourceHandle": "pYsC5xki4QxU-source-ELSE",
      "targetHandle": "gUW65TgWLRD2-target-left"
    },
    {
      "source": "gUW65TgWLRD2",
      "target": "gcFqKEmmBxsq",
      "sourceHandle": "gUW65TgWLRD2-source-wqre",
      "targetHandle": "gcFqKEmmBxsq-target-left"
    },
    {
      "source": "gcFqKEmmBxsq",
      "target": "tav57O4HFffB",
      "sourceHandle": "gcFqKEmmBxsq-source-right",
      "targetHandle": "tav57O4HFffB-target-left"
    },
    {
      "source": "gUW65TgWLRD2",
      "target": "l5KvlvRX2mhT",
      "sourceHandle": "gUW65TgWLRD2-source-sdfa",
      "targetHandle": "l5KvlvRX2mhT-target-left"
    },
    {
      "source": "aWRVpPDfbZSo",
      "target": "sWFhlCtJQzcb",
      "sourceHandle": "aWRVpPDfbZSo-source-right",
      "targetHandle": "sWFhlCtJQzcb-target-left"
    },
    {
      "source": "pYsC5xki4QxU",
      "target": "wubZesJkoAPT",
      "sourceHandle": "pYsC5xki4QxU-source-IF",
      "targetHandle": "wubZesJkoAPT-target-left"
    },
    {
      "source": "wubZesJkoAPT",
      "target": "aWRVpPDfbZSo",
      "sourceHandle": "wubZesJkoAPT-source-right",
      "targetHandle": "aWRVpPDfbZSo-target-left"
    },
    {
      "source": "zxQfmimk125O",
      "target": "drW8jjcnmMtj",
      "sourceHandle": "zxQfmimk125O-source-ELSE IF 4",
      "targetHandle": "drW8jjcnmMtj-target-left"
    },
    {
      "source": "drW8jjcnmMtj",
      "target": "gUh0oVVuslSB",
      "sourceHandle": "drW8jjcnmMtj-source-right",
      "targetHandle": "gUh0oVVuslSB-target-left"
    },
    {
      "source": "it5Z7TucaPnb",
      "target": "shrDoG2MH0h5",
      "sourceHandle": "it5Z7TucaPnb-source-IF",
      "targetHandle": "shrDoG2MH0h5-target-left"
    },
    {
      "source": "shrDoG2MH0h5",
      "target": "hKHdh5iDkLxA",
      "sourceHandle": "shrDoG2MH0h5-source-right",
      "targetHandle": "hKHdh5iDkLxA-target-left"
    },
    {
      "source": "it5Z7TucaPnb",
      "target": "iBXnYng2HdjO",
      "sourceHandle": "it5Z7TucaPnb-source-ELSE IF 1",
      "targetHandle": "iBXnYng2HdjO-target-left"
    },
    {
      "source": "iBXnYng2HdjO",
      "target": "hZ1chmKTCxph",
      "sourceHandle": "iBXnYng2HdjO-source-right",
      "targetHandle": "hZ1chmKTCxph-target-left"
    },
    {
      "source": "it5Z7TucaPnb",
      "target": "mvdaWgBHPGU6",
      "sourceHandle": "it5Z7TucaPnb-source-ELSE IF 2",
      "targetHandle": "mvdaWgBHPGU6-target-left"
    },
    {
      "source": "mvdaWgBHPGU6",
      "target": "hKHdh5iDkLxA",
      "sourceHandle": "mvdaWgBHPGU6-source-right",
      "targetHandle": "hKHdh5iDkLxA-target-left"
    },
    {
      "source": "it5Z7TucaPnb",
      "target": "jmE3QjFV30dI",
      "sourceHandle": "it5Z7TucaPnb-source-ELSE IF 3",
      "targetHandle": "jmE3QjFV30dI-target-left"
    },
    {
      "source": "zxQfmimk125O",
      "target": "tmZXiMjmSxJC",
      "sourceHandle": "zxQfmimk125O-source-ELSE IF 5",
      "targetHandle": "tmZXiMjmSxJC-target-left"
    },
    {
      "source": "tmZXiMjmSxJC",
      "target": "cff54fX8Iipd",
      "sourceHandle": "tmZXiMjmSxJC-source-right",
      "targetHandle": "cff54fX8Iipd-target-left"
    },
    {
      "source": "cff54fX8Iipd",
      "target": "u9IEDBUpiinl",
      "sourceHandle": "cff54fX8Iipd-source-IF",
      "targetHandle": "u9IEDBUpiinl-target-left"
    },
    {
      "source": "u9IEDBUpiinl",
      "target": "no00SBaVMwmr",
      "sourceHandle": "u9IEDBUpiinl-source-right",
      "targetHandle": "no00SBaVMwmr-target-left"
    },
    {
      "source": "cff54fX8Iipd",
      "target": "wU2XuUcHUfk2",
      "sourceHandle": "cff54fX8Iipd-source-ELSE IF 1",
      "targetHandle": "wU2XuUcHUfk2-target-left"
    },
    {
      "source": "de8ODYhEAR1V",
      "target": "zSN3Uj8vDHAU",
      "sourceHandle": "de8ODYhEAR1V-source-right",
      "targetHandle": "zSN3Uj8vDHAU-target-left"
    },
    {
      "source": "cff54fX8Iipd",
      "target": "boWtch8zzazA",
      "sourceHandle": "cff54fX8Iipd-source-ELSE",
      "targetHandle": "boWtch8zzazA-target-left"
    },
    {
      "source": "boWtch8zzazA",
      "target": "de8ODYhEAR1V",
      "sourceHandle": "boWtch8zzazA-source-right",
      "targetHandle": "de8ODYhEAR1V-target-left"
    },
    {
      "source": "zSN3Uj8vDHAU",
      "target": "yv8fIT65iUT4",
      "sourceHandle": "zSN3Uj8vDHAU-source-right",
      "targetHandle": "yv8fIT65iUT4-target-left"
    },
    {
      "source": "pluginInput",
      "target": "zxQfmimk125O",
      "sourceHandle": "pluginInput-source-right",
      "targetHandle": "zxQfmimk125O-target-left"
    },
    {
      "source": "vLZps4mdth6X",
      "target": "pluginOutput",
      "sourceHandle": "vLZps4mdth6X-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "hdv5GoosMBHa",
      "target": "pluginOutput",
      "sourceHandle": "hdv5GoosMBHa-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "eLKTeiHZSJX5",
      "target": "pluginOutput",
      "sourceHandle": "eLKTeiHZSJX5-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "ysQYvXdh8RAu",
      "target": "pluginOutput",
      "sourceHandle": "ysQYvXdh8RAu-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "j7XarWgQ6mOZ",
      "target": "pluginOutput",
      "sourceHandle": "j7XarWgQ6mOZ-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "mHIsV4YQ2N4d",
      "target": "pluginOutput",
      "sourceHandle": "mHIsV4YQ2N4d-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "tLFNll01UmDa",
      "target": "pluginOutput",
      "sourceHandle": "tLFNll01UmDa-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "vbf763lG0E5O",
      "target": "pluginOutput",
      "sourceHandle": "vbf763lG0E5O-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "ls6BNUSlIPYd",
      "target": "pluginOutput",
      "sourceHandle": "ls6BNUSlIPYd-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "tav57O4HFffB",
      "target": "pluginOutput",
      "sourceHandle": "tav57O4HFffB-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "l5KvlvRX2mhT",
      "target": "pluginOutput",
      "sourceHandle": "l5KvlvRX2mhT-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "sWFhlCtJQzcb",
      "target": "pluginOutput",
      "sourceHandle": "sWFhlCtJQzcb-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "hKHdh5iDkLxA",
      "target": "pluginOutput",
      "sourceHandle": "hKHdh5iDkLxA-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "hZ1chmKTCxph",
      "target": "pluginOutput",
      "sourceHandle": "hZ1chmKTCxph-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "jmE3QjFV30dI",
      "target": "pluginOutput",
      "sourceHandle": "jmE3QjFV30dI-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "no00SBaVMwmr",
      "target": "pluginOutput",
      "sourceHandle": "no00SBaVMwmr-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "wU2XuUcHUfk2",
      "target": "pluginOutput",
      "sourceHandle": "wU2XuUcHUfk2-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "yv8fIT65iUT4",
      "target": "jEx3Sbr7rJpd",
      "sourceHandle": "yv8fIT65iUT4-source-right",
      "targetHandle": "jEx3Sbr7rJpd-target-left"
    },
    {
      "source": "jEx3Sbr7rJpd",
      "target": "pluginOutput",
      "sourceHandle": "jEx3Sbr7rJpd-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "it5Z7TucaPnb",
      "target": "jmE3QjFV30dI",
      "sourceHandle": "it5Z7TucaPnb-source-ELSE",
      "targetHandle": "jmE3QjFV30dI-target-left"
    },
    {
      "source": "gUh0oVVuslSB",
      "target": "it5Z7TucaPnb",
      "sourceHandle": "gUh0oVVuslSB-source-right",
      "targetHandle": "it5Z7TucaPnb-target-left"
    }
  ],
  "chatConfig": {
    "welcomeText": "请对准车辆前方看清车牌，拍摄车前方照片。",
    "variables": [
      {
        "id": "zr57c2",
        "key": "state",
        "label": "state",
        "type": "custom",
        "description": "",
        "required": false,
        "valueType": "object",
        "list": [
          {
            "value": "",
            "label": ""
          }
        ],
        "defaultValue": "{\"hpzl1\": \"小型汽车蓝牌\", \"hphm1\": \"沪A1121\"}",
        "enums": [
          {
            "value": "",
            "label": ""
          }
        ],
        "icon": "core/workflow/inputType/customVariable"
      },
      {
        "id": "uypz7h",
        "key": "status_code",
        "label": "status_code",
        "type": "custom",
        "description": "",
        "required": false,
        "valueType": "string",
        "list": [
          {
            "value": "",
            "label": ""
          }
        ],
        "defaultValue": "2000",
        "enums": [
          {
            "value": "",
            "label": ""
          }
        ],
        "icon": "core/workflow/inputType/customVariable"
      }
    ],
    "questionGuide": {
      "open": false,
      "model": "gpt-4o-mini",
      "customPrompt": ""
    },
    "ttsConfig": {
      "type": "web"
    },
    "whisperConfig": {
      "open": false,
      "autoSend": false,
      "autoTTSResponse": false
    },
    "scheduledTriggerConfig": {
      "cronString": "",
      "timezone": "Asia/Shanghai",
      "defaultPrompt": ""
    },
    "chatInputGuide": {
      "open": false,
      "textList": [],
      "customUrl": ""
    },
    "instruction": "",
    "autoExecute": {
      "open": false,
      "defaultPrompt": ""
    },
    "_id": "6805d651bacd8a3542ab26c1"
  }
}